function [Ha,Hq]=est_poly_partflux(Tbot,Ttop,rp,dTp,drp,F,A)
Sc=0.615;Pr=0.71;Tinit=Tbot;rhow=1000;cpw=4179; %J/(Kg K)
Tref=1/2*(Ttop+Tbot)-273.15;
Lv=(25.0-0.02274*Tref)*10^5;
Vp=4/3*pi*rp.^3;Vpe=4/3*pi.*(rp+drp).^3;
dm=rhow.*(-Vpe+Vp);
Hq=Lv.*dm.*F/A;
Tevap=(Lv.*(Vp-Vpe))./(cpw.*Vp)*Pr/Sc;
Ha=-rhow*cpw.*(Vp).*(Tinit+dTp).*F/A+rhow*cpw.*(Vp).*(Tinit).*F/A;

end
